[tool.poetry]
name = "cmsgemos"
version = "0"
description = ""
authors = ["GEM DAQ Project Collaborators <cms.gem.online@cern.ch>"]
repository = "https://gitlab.cern.ch/cmsgemonline/gem-daq/cmsgemos.git"
readme = "README.md"
license = "BSD-3-Clause" # All Python code in cmsgemos is BSD
classifiers = [
    "License :: OSI Approved :: BSD License"
]

[[tool.poetry.packages]]
include = "gem"
from = "gemcore/configdb/python"

[tool.poetry.dependencies]
python = "~3.8.6" # EPEL 7/CentOS 8 Python 3.8 version

SQLAlchemy = "^1.4.23"
alembic = "^1.7.5"
psycopg2-binary = "^2.9.1"

[tool.poetry.dev-dependencies]
black = "^21.7b0"

[tool.poetry.scripts]
gem-configdb = "gem.configdb:main"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
